
#ifndef USER_H
#define USER_H

/** I N C L U D E S **********************************************************/
#include "system\typedefs.h"

/** D E F I N I T I O N S ****************************************************/
#define MAJOR_VERSION   2

#define MAX_COL_AM 18
#define PACKET_LENGTH 61

/** S T R U C T U R E S ******************************************************/
typedef union DATA_PACKET
{
    byte _byte[10];  //For byte access
    word _word[5];//For word access(USBGEN_EP_SIZE msut be even)
    struct
    {
        byte cmd;
        byte colors[3];
        byte speed;
        byte wait;
        byte colAmount;
        byte colArray[(byte)MAX_COL_AM*3];
    };
    
} DATA_PACKET;


/** P U B L I C  P R O T O T Y P E S *****************************************/
void UserInit(void);
void ProcessIO(void);

#endif
